Package com.complexible.stardog.api.search

# Interface SearchConnection

All Superinterfaces:
  `AutoCloseable`, `Connection`

public interface SearchConnection extends Connection

Extends the standard SNARL `Connection` exposing the full-text search support provided by Waldo.

Since:
  0.7
Version:
  2.0
Author:
  Michael Grove

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DEFAULT_LIMIT`
  The default number of results to return from a search
  `static final String`
  `MATCH_PREDICATE`
  `static final float`
  `NO_MINIMUM_THRESHOLD`
  Constant for no minimum threshold on returned search results

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Searcher`
  `search()`
  Create a Searcher for conducting full-text searches against your RDF database via Waldo.

  ### Methods inherited from interface com.complexible.stardog.api.Connection

  `add, admin, as, ask, ask, begin, close, commit, currentStatus, export, generateModel, get, getOption, getSchema, graph, graph, graphAliases, isOpen, isReasoningEnabled, name, namespaces, paths, paths, remove, rollback, select, select, selectPlan, selectPlan, size, transactions, update, update`

- ## Field Details

  - ### NO_MINIMUM_THRESHOLD

    static final float NO_MINIMUM_THRESHOLD
    Constant for no minimum threshold on returned search results
    See Also:
      - Constant Field Values

  - ### DEFAULT_LIMIT

    static final int DEFAULT_LIMIT
    The default number of results to return from a search
    See Also:
      - Constant Field Values

  - ### MATCH_PREDICATE

    static final String MATCH_PREDICATE
    See Also:
      - Constant Field Values

- ## Method Details

  - ### search

    Searcher search() throws StardogException
    Create a Searcher for conducting full-text searches against your RDF database via Waldo.
    Returns:
      a new Searcher object
    Throws:
      `StardogException` - if a searcher cannot be created, either because the database you are connected to does not not have search enabled or the search plugin is not installed.